/*
 * AVC8000 Copyright (C) 2012 Advanced Micro Peripherals Ltd
 * Driver for AVC8000 cards
 *
 * (c) 2009-10 liran <jlee@techwellinc.com.cn> [Techwell China]
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef AVC8000_DEVICE_H_INCLUDED
#define AVC8000_DEVICE_H_INCLUDED

int  avc8k_dev_init( struct avc8k_chip *chip );
int  avc8k_dev_init_286x( struct avc8k_chip *chip );
void avc8k_dev_uninit( struct avc8k_chip *chip );
void avc8k_dev_setdma( struct avc8k_chip *chip, u32 dma_cmd);
int  avc8k_dev_set_mux( struct avc8k_vdev *dev, unsigned int input );
void avc8k_dev_set_standard( struct avc8k_vdev *dev, v4l2_std_id value, bool b_auto );
void avc8k_dev_set_pixelformat( struct avc8k_vdev *dev, u32 fourcc );
void avc8k_dev_set_size(struct avc8k_vdev *dev, int width, int height);
void avc8k_dev_set_size2(struct avc8k_vdev *dev, int width, int height);
void avc8k_dev_set_vdelay(struct avc8k_vdev *dev, int value);
void avc8k_dev_set_bright(struct avc8k_vdev *dev, int val);
void avc8k_dev_set_contrast(struct avc8k_vdev *dev, int val);
void avc8k_dev_set_hue(struct avc8k_vdev *dev, int val);
void avc8k_dev_set_saturation(struct avc8k_vdev *dev, int val);
void avc8k_dev_set_sharpness(struct avc8k_vdev *dev, int val);
void avc8k_dev_set_framerate(struct avc8k_vdev *dev, int val, int field);
u32  avc8k_dev_get_decoderstatus(struct avc8k_vdev *dev);
int  avc8k_dev_get_signal(struct avc8k_vdev *dev);
void avc8k_dev_run(struct avc8k_vdev *dev, bool b_run);
void avc8k_dev_set_dma(struct avc8k_vdev *dev, int width, int height, int linewidth);
int  avc8k_dev_set_dmabuf(struct avc8k_vdev *dev, int nbuf, struct avc8k_buf *buf);
void avc8k_dev_set_pbdesc(struct avc8k_vdev *dev);
int  avc8k_dev_set_dmadesc(struct avc8k_vdev *dev, int nbuf, struct avc8k_buf *buf);

bool avc8k_dev_enable_gpiooutput(struct avc8k_chip *chip, bool enable, int gpio, int bits);
bool avc8k_dev_set_gpiobits(struct avc8k_chip *chip, int gpio, int bits, u32* value);
bool avc8k_dev_get_gpiobits(struct avc8k_chip *chip, int gpio, int bits, u32* pValue);
int  avc8k_dev_set_audio(struct avc8k_chip *chip, int samplerate, int bits, int channels, int blksize);
int  avc8k_dev_set_adma_buffer(struct avc8k_adev *dev, u32 buf_addr, int pb);
void avc8k_dev_run_audio(struct avc8k_adev *dev, bool b_run);

#endif // AVC8000_DEVICE_H_INCLUDED
