/*************************************************

audiocap.h
used by av avc8000

**************************************************/

#ifndef AUDIOCAP_H
#define AUDIOCAP_H

#define ALSA_AUDIO      0  // disabled
#if(ALSA_AUDIO)
#define AUDIO_PLAY_DEVICE    "/dev/snd/pcmC0D0c"
#define AUDIO_CAPTURE_DEVICE "/dev/snd/pcmC%dD0c"
#else
#define AUDIO_PLAY_DEVICE    "/dev/dsp"
#define AUDIO_CAPTURE_DEVICE "/dev/dsp%d"
#endif

typedef struct {
    char name[PATH_MAX];
    int  fd;
    int  sample_rate;
    int  bits;
    int  channels;
    int  length;
} wav_file_t;

int audio_play_open(gui_t *gui);
int audio_play_close(gui_t *gui);

int wav_open(wav_file_t *wav);
int wav_write(wav_file_t *wav, unsigned char *data, int length);
int wav_close(wav_file_t *wav);

int audio_device_open  (channel_t * chl);
int audio_device_close (channel_t * chl);
int audio_device_setfmt(channel_t *chl);

#endif
